GMX-ANGLE(1)

NAME
gmx-angle - Calculate distributions and correlations for angles and dihedrals

SYNOPSIS

gmx angle [-f [<.xtc/.trr/...>]] [-n [<.ndx>]] [-od [<.xvg>]]
          [-ov [<.xvg>]] [-of [<.xvg>]] [-ot [<.xvg>]] [-oh [<.xvg>]]
          [-oc [<.xvg>]] [-or [<.trr>]] [-b <time>] [-e <time>]
          [-dt <time>] [-[no]w] [-xvg <enum>] [-type <enum>]
          [-[no]all] [-binwidth <real>] [-[no]periodic]
          [-[no]chandler] [-[no]avercorr] [-acflen <int>]
          [-[no]normalize] [-P <enum>] [-fitfn <enum>]
          [-beginfit <real>] [-endfit <real>]

DESCRIPTION

gmx angle computes the angle distribution for a number of angles or dihedrals.

With option -ov, you can plot the average angle of a group of angles as a function of time. With the -all option, the first graph is the average and the rest are the individual angles.

With the -of option, gmx angle also calculates the fraction of trans dihedrals (only for dihedrals) as function of time, but this is probably only fun for a select few.

With option -oc, a dihedral correlation function is calculated.

It should be noted that the index file must contain atom triplets for angles or atom quadruplets for dihedrals. If this is not the case, the program will crash.

With option -or, a trajectory file is dumped containing cos and sin of selected dihedral angles, which subsequently can be used as input for a principal components analysis using gmx covar.

Option -ot plots when transitions occur between dihedral rotamers of multiplicity 3 and -oh records a histogram of the times between such transitions, assuming the input trajectory frames are equally spaced in time.

OPTIONS

Options to specify input files:

-f [<.xtc/.trr/…>] (traj.xtc)
    Trajectory: xtc trr cpt gro g96 pdb tng

-n [<.ndx>] (angle.ndx)
    Index file

    Options to specify output files:

-od [<.xvg>] (angdist.xvg)
    xvgr/xmgr file

-ov [<.xvg>] (angaver.xvg) (Optional)
    xvgr/xmgr file

-of [<.xvg>] (dihfrac.xvg) (Optional)
    xvgr/xmgr file

-ot [<.xvg>] (dihtrans.xvg) (Optional)
    xvgr/xmgr file

-oh [<.xvg>] (trhisto.xvg) (Optional)
    xvgr/xmgr file

-oc [<.xvg>] (dihcorr.xvg) (Optional)
    xvgr/xmgr file

-or [<.trr>] (traj.trr) (Optional)
    Trajectory in portable xdr format

    Other options:

-b <time> (0)
    Time of first frame to read from trajectory (default unit ps)

-e <time> (0)
    Time of last frame to read from trajectory (default unit ps)

-dt <time> (0)
    Only use frame when t MOD dt = first time (default unit ps)

-[no]w (no)
    View output .xvg, .xpm, .eps and .pdb files

-xvg <enum> (xmgrace)
    xvg plot formatting: xmgrace, xmgr, none

-type <enum> (angle)
    Type of angle to analyse: angle, dihedral, improper, ryckaert-bellemans

-[no]all (no)
    Plot all angles separately in the averages file, in the order of appearance in the index file.

-binwidth <real> (1)
    binwidth (degrees) for calculating the distribution

-[no]periodic (yes)
    Print dihedral angles modulo 360 degrees

-[no]chandler (no)
    Use Chandler correlation function (N[trans] = 1, N[gauche] = 0) rather than cosine correlation function. Trans is defined as phi < -60 or phi > 60.

-[no]avercorr (no)
    Average the correlation functions for the individual angles/dihedrals

-acflen <int> (-1)
    Length of the ACF, default is half the number of frames

-[no]normalize (yes)
    Normalize ACF

-P <enum> (0)
    Order of Legendre polynomial for ACF (0 indicates none): 0, 1, 2, 3

-fitfn <enum> (none)
    Fit function: none, exp, aexp, exp_exp, exp5, exp7, exp9

-beginfit <real> (0)
    Time where to begin the exponential fit of the correlation function

-endfit <real> (-1)
    Time where to end the exponential fit of the correlation function, -1 is until the end

KNOWN ISSUES

•   Counting transitions only works for dihedrals with multiplicity 3

SEE ALSO

gmx(1)

More information about GROMACS is available at <http://www.gromacs.org/>.

COPYRIGHT
2021, GROMACS development team